org.apache.fop.render.intermediate.extensions

## Class BookmarkTree

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.BookmarkTree

    public class BookmarkTree
    extends Object

This class is the root of the bookmark tree for use in the intermediate format.

### Constructor Summary

Constructors
Constructor and Description
`BookmarkTree()` Constructs a new bookmark tree.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBookmark(Bookmark bookmark)` Adds a new top-level bookmark.
`List` `getBookmarks()` Returns a list of top-level bookmarks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BookmarkTree

    public BookmarkTree()

Constructs a new bookmark tree.

### Method Detail

#### addBookmark

    public void addBookmark(Bookmark bookmark)

Adds a new top-level bookmark.

Parameters:
  `bookmark` - the bookmark

#### getBookmarks

    public List getBookmarks()

Returns a list of top-level bookmarks.

Returns:
  the top-level bookmarks